## org.codehaus.groovy.grails.webflow.engine.builder
Class TransitionTo

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.TransitionTo

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class TransitionTo

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`TransitionTo(Class exception, Object builder, Object newTransitions, Object newExceptionHandlers)`
`TransitionTo(String newOn, Object builder, Object newTransitions, Object newExceptionHandlers)`
`TransitionTo(String newOn, Object builder, Object newTransitions, Object newExceptionHandlers, ClosureInvokingAction newCriteria)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`List` `getExceptionHandlers()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`List` `getTransitions()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setExceptionHandlers(List value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setTransitions(List value)`
`Object` `to(groovy.lang.Closure resolver)`
`Object` `to(String newTo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransitionTo

    public TransitionTo(String newOn,
                        Object builder,
                        Object newTransitions,
                        Object newExceptionHandlers)

### TransitionTo

    public TransitionTo(String newOn,
                        Object builder,
                        Object newTransitions,
                        Object newExceptionHandlers,
                        ClosureInvokingAction newCriteria)

### TransitionTo

    public TransitionTo(Class exception,
                        Object builder,
                        Object newTransitions,
                        Object newExceptionHandlers)

Method Detail

### getTransitions

    public List getTransitions()

### setTransitions

    public void setTransitions(List value)

### getExceptionHandlers

    public List getExceptionHandlers()

### setExceptionHandlers

    public void setExceptionHandlers(List value)

### to

    public Object to(groovy.lang.Closure resolver)

### to

    public Object to(String newTo)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project